        /* Copyright (c) 2007 by IBM Corporation */

dojo.provide("zero.form.widget.field.NumberField");

dojo.require("zero.form.widget.field.NumberFieldMixin");
dojo.require("dijit.form.NumberTextBox");

dojo.declare("zero.form.widget.field.NumberField", 
    [dijit.form.NumberTextBox, 
	zero.form.widget.field.NumberFieldMixin], 
{
		
	startup: function()
	{
		zero.form.widget.field.NumberField.superclass.startup.apply(this, arguments);
		
		if (!((undefined == this.digitPlaces) || (null == this.digitPlaces)))
			this.constraints.places = this.digitPlaces;
		else		
			this.setNumberType(TYPE_PROPERTY_INTEGER);
			
		if (!((undefined == this.defaultValue) || (null == this.defaultValue)))
			this.textbox.value = this.defaultValue;
			
		this.validate();
	},
	
	onChange: function(){}
}
);
